## hid-apple-dkms 1.0.0-maverick-mactel1

=== Makefile ===
NAME	= hid-apple
VERSION	= 1.0.0
SRC	= usr/src

TARBALL	= $(NAME)-$(VERSION).dkms.tar.gz
PATCH	= ./scripts/patch-name-version.sh $(NAME) $(VERSION)

all:	$(SRC)/$(TARBALL)

$(SRC)/$(TARBALL): $(SRC)/dkms_source_tree/hid-apple.c
	(cd $(SRC); tar cvfz $(TARBALL) dkms*)

clean:
	rm -f $(SRC)/$(TARBALL)

distclean: clean
	rm -rf *-stamp debian/$(NAME)-dkms debian/*.log debian/files

install: $(SRC)/$(TARBALL)
	install -d "$(DESTDIR)/$(SRC)"
	install -m 644 $(SRC)/$(NAME)-$(VERSION).dkms.tar.gz "$(DESTDIR)/$(SRC)"

bump:
	$(PATCH) debian/postinst
	$(PATCH) debian/postrm
	$(PATCH) debian/prerm
	$(PATCH) debian/rules
	$(PATCH) debian/postinst
	$(PATCH) usr/src/dkms_source_tree/dkms.conf
	chmod 0755 debian/rules

=== usr/src/dkms_source_tree/Makefile ===
#
# Makefile for input/mouse drivers
#

obj-m		:= hid-apple.o

=== debian/changelog ===
hid-apple-dkms (1.0.0-maverick-mactel1) maverick; urgency=low

  * Apple keyboard support

 -- Henrik Rydberg <rydberg@bitmath.org>  Wed, 03 Nov 2010 22:10:22 +0100

=== debian/control ===
Source: hid-apple-dkms
Section: misc
Priority: optional
Maintainer: Henrik Rydberg <rydberg@bitmath.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Homepage: http://bitmath.org/code/hid-apple-dkms/

Package: hid-apple-dkms
Architecture: all
Depends: dkms (>= 1.95), bash (>> 1.99), hid-dkms(>= 1.0.6)
Description: Supplementary multitouch support for Apple
 This driver adds support for the apple keyboards.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

NAME=hid-apple
VERSION=1.0.0

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
